Subject: Re: [bug#74634] [PATCH shepherd website 1/5] logo: Remove adaptation to user's preferred color scheme.

From: Luis Felipe <[email-masked]>
Date: Sun, 1 Dec 2024 16:34:38 +0000

On 1/12/24 16:27, Ludovic Courtès wrote:
> [email-masked] skribis:
>
>> From: Luis Felipe <[email-masked]>
>>
>> The website's CSS doesn't adapt to user's preferred color scheme yet,
>> but the logo image did. This created an accessibility problem for
>> users who prefer a dark scheme: the whitish version of the logo was
>> displayed on the whitish pages of the website. This change solves that
>> problem.
>>
>> * haunt.scm (page-layout): Always use the logo for light backgrounds.
> Oops, I must say I don’t really know how to adapt to the user’s
> preferred color scheme.  Probably the next change would be to do what
> the logo did, but for the entire CSS.  We’ll see.

Personally, I'd leave the color scheme support for later (post-release). 
Because the current style uses a relatively rich palette, so you'd have 
to spend some time making sure that all the current colors have nice 
equivalents for the dark theme.